> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Off-ramp Verification



## OpenAPI

````yaml https://api.coinvoyage.io/v3/openapi.json post /off-ramp/verification
openapi: 3.1.0
info:
  title: CoinVoyage API (v3)
  description: >-
    CoinVoyage v3 payment API. Unified Intent envelope, snake_case money via the
    Amount shape, and a single SHA-256 signature scheme.
  version: 3.0.0
servers:
  - url: https://api.coinvoyage.io/v3
security: []
paths:
  /off-ramp/verification:
    post:
      tags:
        - off-ramp
      summary: Create Off-ramp Verification
      operationId: v3CreateOffRampVerification
      parameters:
        - description: >-
            HMAC-SHA256 signature header:
            'APIKey=<api_key>,signature=<hex>,timestamp=<unix_timestamp>'. The
            signature is computed over METHOD + path (with the /v3 prefix
            stripped) + timestamp.
          in: header
          name: Authorization-Signature
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCLinkRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KYCLinkResponse'
          description: KYC link created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid request body
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
      security:
        - Authorization: []
components:
  schemas:
    KYCLinkRequest:
      properties:
        email:
          type: string
        type:
          $ref: '#/components/schemas/KYCLinkType'
        full_name:
          type: string
        endorsements:
          items:
            $ref: '#/components/schemas/EndorsementName'
          type: array
        redirect_uri:
          type: string
      required:
        - email
        - type
      type: object
    KYCLinkResponse:
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/KYCLinkType'
        customer_id:
          type:
            - string
            - 'null'
        full_name:
          type:
            - string
            - 'null'
        email:
          type: string
        kyc_link:
          type: string
        kyc_status:
          $ref: '#/components/schemas/KYCStatus'
        rejection_reasons:
          items:
            $ref: '#/components/schemas/KYCRejectionReason'
          type: array
        tos_link:
          type: string
        tos_status:
          $ref: '#/components/schemas/TOSStatus'
        created_at:
          type:
            - string
            - 'null'
      required:
        - id
        - type
        - email
        - kyc_link
        - kyc_status
        - tos_link
        - tos_status
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    KYCLinkType:
      description: Whether the KYC link is for an individual or a business
      enum:
        - individual
        - business
      type: string
    EndorsementName:
      description: >-
        Payment rail endorsement: base, cards, cop, faster_payments, pix, sepa,
        or spei
      enum:
        - base
        - cards
        - cop
        - faster_payments
        - pix
        - sepa
        - spei
      type: string
    KYCStatus:
      description: Current verification status of the KYC link
      enum:
        - not_started
        - incomplete
        - awaiting_questionnaire
        - awaiting_ubo
        - under_review
        - approved
        - rejected
        - paused
        - offboarded
      type: string
    KYCRejectionReason:
      properties:
        developer_reason:
          type: string
        reason:
          type: string
        created_at:
          type: string
      required:
        - developer_reason
        - reason
        - created_at
      type: object
    TOSStatus:
      description: Whether the customer has accepted the Terms of Service
      enum:
        - pending
        - approved
      type: string
  securitySchemes:
    Authorization:
      description: >-
        HMAC-SHA256 signature. See the Authorization-Signature header parameter
        on signed operations.
      in: header
      name: Authorization
      type: apiKey

````